Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install imake libSM-devel libXt-devel libopenmotif-devel perl(CGI.pm) unzip xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global svn_rev 1200

Name:           lcd4linux
Version:        0.11
# We package an svn snapshot of what will become 0.11 since upstream has
# neglected to do a new release for ages
Release:        alt2_0.32.svn%{svn_rev}
Summary:        Display system state on an external LCD display
License:        GPLv2+
URL:            http://ssl.bulix.org/projects/lcd4linux/
# This is the non rpmbuild parsable url:
# http://ssl.bulix.org/projects/lcd4linux/changeset/1200/trunk?old_path=%2F&format=zip
# Note replace 1200 with svn_rev!
Source0:        lcd4linux-trunk-1200.zip
# Courtesey of Debain
Source1:        lcd4linux.8
Source2:        lcd4X11.sh
Source3:        lcd4X11.desktop
Source4:        README.fedora
Patch0:         lcd4linux-XWindow-conf.patch
BuildRequires:  libgd3-devel libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel libX11-devel libICE-devel libsqlite3-devel
BuildRequires:  serdisplib-devel ftdi-eeprom libftdi1-devel libjpeg-devel libst2205-devel
BuildRequires:  libvncserver-devel gettext-tools libasprintf-devel libdbus-devel
BuildRequires:  libtool desktop-file-utils
# Most drivers require the old libusb-0.1 API; and
# the MDM166A driver requires the new libusb-1.0
BuildRequires:  libusb-compat-devel libusb-devel
ExcludeArch:    s390 s390x
Source44: import.info

%description
LCD4Linux is a small program that grabs information from the kernel
and some subsystems and displays it on an external liquid crystal display.


%prep
%setup -q -n trunk
%patch0 -p1
chmod +x bootstrap configure
./bootstrap
cp -a %{SOURCE4} .


%build
%configure
%make_build
sed -e "s@#Display 'XWindow'@Display 'XWindow'@" \
    -e "s@Display 'ACool'@#Display 'ACool'@" \
    -e "s@Layout 'TestLayer'@#Layout 'TestLayer'@" \
    -e "s@#Layout 'Default'@Layout 'Default'@" \
    lcd4linux.conf.sample > lcd4X11.conf
touch -r lcd4linux.conf.sample lcd4X11.conf


%install
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 lcd4X11.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 644 lcd4linux.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/lcd4X11
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE3}


%files
%doc COPYING ChangeLog README.fedora lcd4linux.conf.sample
%config(noreplace) %{_sysconfdir}/lcd4X11.conf
%{_bindir}/%{name}
%{_bindir}/lcd4X11
%{_mandir}/man8/%{name}.8*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/lcd4X11.desktop


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_0.32.svn1200
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_0.30.svn1200
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_0.29.svn1200
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_0.26.svn1200
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_0.25.svn1200
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.11-alt2_0.24.svn1200
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_0.23.svn1200
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.23.svn1200
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.22.svn1200
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.21.svn1200
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.20.svn1200
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.19.svn1200
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.18.svn1200
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.17.svn1200
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.15.svn1200
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.13.svn1200
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.12.svn1200
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.11.svn1200
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.10.svn1200
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.8.svn1143
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.7.svn1143
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_0.6.svn1143
- initial fc import

